﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class Drift: MonoBehaviour {

	public float speed;
	Vector3 startPos;
	public float timeToWait;
	float timepassed;

	void Awake(){
		startPos=transform.localPosition;
	}

	void FixedUpdate(){
		transform.localPosition += (Vector3.right*speed);
		timepassed += Time.fixedDeltaTime;
		if (timepassed>timeToWait) {
			transform.localPosition = startPos;
			timepassed=0;
		}
	}
}