﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class Winzone : MonoBehaviour {

	public Transform respawn;
	public bool isEnd;
	public AudioClip clip;

	private void OnTriggerEnter2D(Collider2D other)
	{
		if (other.tag == "Player")
		{
			GameController.instance.respawn = respawn.position; 
			this.GetComponent<ParticleSystem> ().Play ();
			if (isEnd) {
				AudioSource a = GameObject.FindGameObjectWithTag ("MainCamera").GetComponent<AudioSource> ();
				a.clip=clip;
				a.Play ();
				StartCoroutine (WaitForMenu ());
			}
		}
	}

	IEnumerator WaitForMenu(){
		yield return new WaitForSeconds (5f);
		SceneManager.LoadScene (0);
	}

}
