﻿using UnityEngine;
using System.Collections;
using System.Linq;

[RequireComponent(typeof(Rigidbody2D))]
public class MovingPlatform : MonoBehaviour
{

	void OnCollisionEnter (Collision other){
		Attach (other.transform);
	}
	void OnCollisionExit (Collision other){
		Detach (other.transform);
	}

	public void Attach (Transform other){
		other.SetParent(transform);
	}

	public void Detach (Transform other){
		other.parent=null;
	}

}
